Bug 1711213 - python-journal-brief FTBFS on rawhide/31
Summary: python-journal-brief FTBFS on rawhide/31
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-journal-brief
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS PYTEST4 PYTHON38 1732841
TreeView+ depends on / blocked
 
Reported: 2019-05-17 08:45 UTC by Patrik Kopkan
Modified: 2019-09-16 08:22 UTC (History)
2 users (show)

Fixed In Version: python-journal-brief-1.1.5-12.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-16 08:22:52 UTC
Type: Bug


Attachments (Terms of Use)
Copr build log, built with python3.8 (91.71 KB, text/plain)
2019-05-17 08:45 UTC, Patrik Kopkan
no flags Details

Description Patrik Kopkan 2019-05-17 08:45:57 UTC
Created attachment 1569974 [details]
Copr build log, built with python3.8

python-journal-brief fails at initializing tests.

Traceback (most recent call last):
  File "setup.py", line 51, in <module>
    setup(
  File "/usr/lib/python3.8/site-packages/setuptools/__init__.py", line 145, in setup
    return distutils.core.setup(**attrs)
  File "/usr/lib64/python3.8/distutils/core.py", line 148, in setup
    dist.run_commands()
  File "/usr/lib64/python3.8/distutils/dist.py", line 966, in run_commands
    self.run_command(cmd)
  File "/usr/lib64/python3.8/distutils/dist.py", line 985, in run_command
    cmd_obj.run()
  File "/usr/lib/python3.8/site-packages/setuptools/command/test.py", line 229, in run
    self.run_tests()
  File "setup.py", line 39, in run_tests
    errno = pytest.main(self.pytest_args)
  File "/usr/lib/python3.8/site-packages/_pytest/config/__init__.py", line 60, in main
    config = _prepareconfig(args, plugins)
  File "/usr/lib/python3.8/site-packages/_pytest/config/__init__.py", line 185, in _prepareconfig
    raise TypeError(msg.format(args, type(args)))
TypeError: `args` parameter expected to be a list or tuple of strings, got: '-v --doctest-modules tests journal_brief' (type: <class 'str'>)



>>> TypeError: `args` parameter expected to be a list or tuple of strings, got: '-v --doctest-modules tests journal_brief' (type: <class 'str'>)


So problem looks like to be in setuptools passing wrong type of argument.
I think easiest way to fix this is not run tests with setup.py.

Comment 1 Miro Hrončok 2019-05-17 10:00:24 UTC
This happens with Python 3.8 and 3.7 alike:

+ /usr/bin/python3 setup.py test '--pytest-args=-v --doctest-modules tests journal_brief'
running test
running egg_info
writing journal_brief.egg-info/PKG-INFO
writing dependency_links to journal_brief.egg-info/dependency_links.txt
writing entry points to journal_brief.egg-info/entry_points.txt
writing requirements to journal_brief.egg-info/requires.txt
writing top-level names to journal_brief.egg-info/top_level.txt
reading manifest file 'journal_brief.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
writing manifest file 'journal_brief.egg-info/SOURCES.txt'
running build_ext
Traceback (most recent call last):
  File "setup.py", line 83, in <module>
    package_data={'': ['conf/journal-brief.conf']},
  File "/usr/lib/python3.7/site-packages/setuptools/__init__.py", line 145, in setup
    return distutils.core.setup(**attrs)
  File "/usr/lib/python3.7/distutils/core.py", line 148, in setup
    dist.run_commands()
  File "/usr/lib/python3.7/distutils/dist.py", line 966, in run_commands
    self.run_command(cmd)
  File "/usr/lib/python3.7/distutils/dist.py", line 985, in run_command
    cmd_obj.run()
  File "/usr/lib/python3.7/site-packages/setuptools/command/test.py", line 229, in run
    self.run_tests()
  File "setup.py", line 39, in run_tests
    errno = pytest.main(self.pytest_args)
  File "/usr/lib/python3.7/site-packages/_pytest/config/__init__.py", line 60, in main
    config = _prepareconfig(args, plugins)
  File "/usr/lib/python3.7/site-packages/_pytest/config/__init__.py", line 185, in _prepareconfig
    raise TypeError(msg.format(args, type(args)))
TypeError: `args` parameter expected to be a list or tuple of strings, got: '-v --doctest-modules tests journal_brief' (type: <class 'str'>)
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.ZAZGvV (%check)

I believe it is Pytest 4 related.

Comment 2 Miro Hrončok 2019-07-10 11:40:24 UTC
Please respond.

Comment 3 Tim Waugh 2019-07-10 11:52:09 UTC
I hope to look at this very soon.

Comment 4 Ben Cotton 2019-08-13 16:56:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 18:51:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Miro Hrončok 2019-08-14 22:24:23 UTC
The coordinated rebuild of Python 3.8 has started in the `f32-python` side tag.

If you figure out how to rebuild this package, please don't rebuild it in regular rawhide, but use the side tag instead:

    on branch master:
    $ fedpkg build --target=f32-python

To wait for a build to show up in the side tag, do:

    $ koji wait-repo f32-python --build=<nvr>

Where <nvr> is name-version-release of the source package, e.g. python-foo-1.1-2.fc32.

An updated mock config is posted at:
http://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Note that it will take a while before the essential packages are rebuilt, so don't expect all your dependencies to be available right away.

Thanks. Let us know if you need up to date info, or if you have any questions.



PS this message is mass posted to all the bugs that block the PYTHON38 bug. If this is also a Fedora 31 FTBFS bug and you manage to fix it, you can do a f31 build as usual:

    on branch f31:
    $ fedpkg build

Comment 7 Miro Hrončok 2019-08-21 16:35:04 UTC
The f32-python side tag has been merged. In order to rebuild the package, do it in regular rawhide, but please wait until python3-3.8 is tagged:

  $ koji wait-repo f32-build --build python3-3.8.0~b3-3.fc32


If your built already started in f32-python, after it is finished, please tag it to rawhide with:

  $ koji tag-build f32-pending <nvr>

For example:

  $ koji tag-build f32-pending libreoffice-6.3.0.4-3.fc32

Thanks!

(This comment is mass posted to all bugzillas blocking the PYTHON38 tracking bug.)

Comment 8 Miro Hrončok 2019-08-21 17:29:09 UTC
(Python 3.8 has landed in the rawhide buildroot.)


Note You need to log in before you can comment on or make changes to this bug.